## ZendX_JQuery_View_Helper_UiWidgetPane

Description

jQuery Pane Base class, adds captureStart/captureEnd functionality for panes.

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- abstract:
- license: New BSD License
- uses: ZendX_JQuery_View_Helper_JQuery_Container

Located in /JQuery/View/Helper/UiWidgetPane.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_UiWidgetPane

Direct descendents

Class | Description
--- | ---
ZendX_JQuery_View_Helper_TabPane | jQuery Tabs Pane View Helper, goes with Tab Container
ZendX_JQuery_View_Helper_AccordionPane | jQuery Accordion Pane, goes with Accordion Container

Variable Summary
array $_captureInfo
array $_captureLock
Method Summary
string captureEnd (string $id)
void captureStart (string $id, string $name, [ $options = array()])
void _addPane (string $id, string $name, string $content, [ $options = array()])
Variables
array $_captureInfo = array() (line 51)

Current capture additional information

- access: protected

array $_captureLock = array() (line 44)

Capture Lock information

- access: protected

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
captureEnd (line 83)

Finish capturing content for layout container

- access: public

string captureEnd (string $id)

- string $id

captureStart (line 61)

Begin capturing content for layout container

- access: public

void captureStart (string $id, string $name, [ $options = array()])

- string $id
- string $name
- array $options

_addPane (line 104)

Add an additional pane to the current Widget Container

- abstract:
- access: protected

void _addPane (string $id, string $name, string $content, [ $options = array()])

- string $id
- string $name
- string $content
- array $options

Redefined in descendants as:

- ZendX_JQuery_View_Helper_TabPane::_addPane() : Register new tab pane with tabContainer view helper.
- ZendX_JQuery_View_Helper_AccordionPane::_addPane() : Method hooks into Accordion Container and registeres new pane

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:51 -0700 by phpDocumentor 1.4.2